Name:           emelfm2
Version:        0.1.7
Release:        1%{?dist}
Summary:        A file manager that implements the popular two-pane design

Group:          Applications/File
License:        GPL
URL:            http://emelfm2.net/
Source0:        http://emelfm2.net/rel/emelfm2-%{version}.tar.gz
Patch0:		emelfm2-makefile.config.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel >= 2.6.0, gettext, desktop-file-utils
Requires:       findutils >= 4.2, file, grep, sed

%description
emelFM2 is the GTK+2 port of emelFM. emelFM2 is a file manager that implements 
the popular two-pane design. It features a simple GTK+2 interface, a flexible 
file typing scheme, and a built-in command line for executing commands without 
opening an xterm.

%prep
%setup -q
%patch0 -p0 -b .orig
sed -i 's!%PREFIX%'!'%{_prefix}!' Makefile.config
# fix for x86_64 libs
sed -i 's!$(PREFIX)/lib/$(TARGET)/$(LIBS)/!$(PREFIX)/%{_lib}/$(TARGET)/$(LIBS)/!' Makefile
# fix broken icon in emelfm2.desktop
sed -i 's!emelfm2/emelfm2_48.png!%{_datadir}/pixmaps/emelfm2/emelfm2_48.png!' docs/desktop_environment/%{name}.desktop

%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT%{_prefix}
make install_i18n PREFIX=$RPM_BUILD_ROOT%{_prefix}

%find_lang %{name}

desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-category X-Fedora                                 \
	--add-category Application                            	\
	--add-category Utility                                	\
	--delete-original                                       \
        ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc docs/ACTIONS docs/CHANGELOG docs/CONFIGURATION docs/CREDITS docs/HACKING 
%doc docs/README docs/TODO docs/USAGE docs/WARNING 
%doc docs/help.txt docs/GPL docs/LGPL
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/application-registry/%{name}.applications
%{_datadir}/pixmaps/%{name}

	
%changelog
* Thu Apr 23 2006 Christoph Wickert <fedora wickert arcor de> - 0.1.7-1
- Update to 0.1.7.

* Tue Mar 14 2006 Christoph Wickert <fedora wickert arcor de> - 0.1.6-1
- Update to 0.1.6.
- Add Requires for plugins.

* Sat Feb 18 2006 Christoph Wickert <fedora wickert arcor de> - 0.1.5-2
- Rebuild for Fedora Extras 5.

* Thu Jan 26 2006 Christoph Wickert <fedora wickert arcor de> - 0.1.5-1
- Update to 0.1.5.

* Thu Dec 29 2005 Christoph Wickert <fedora wickert arcor de> - 0.1.4-1
- Update to 0.1.4.

* Mon Nov 21 2005 Christoph Wickert <fedora wickert arcor de> - 0.1.3-2
- Removed nonexistant ROADMAP from %doc.

* Mon Nov 21 2005 Christoph Wickert <fedora wickert arcor de> - 0.1.3-1
- Update to 0.1.3.

* Tue Sep 27 2005 Christoph Wickert <fedora wickert acror de> - 0.1.2-3
- Fix for x86_64.

* Mon Sep 26 2005 Christoph Wickert <fedora wickert acror de> - 0.1.2-2
- Removed broken-icon.patch (using sed instead).
- Removed hardcoded /usr from makefile.config-patch.
- Minor specfile changes (#168608).

* Sun Sep 18 2005 Christoph Wickert <fedora wickert acror de> - 0.1.2-1
- Update to 0.1.2.

* Sun Sep 11 2005 Christoph Wickert <fedora wickert acror de> - 0.1.1-2
- Using destop-file-install.
- Several fixes for FE.

* Sun Aug 21 2005 Christoph Wickert <fedora wickert acror de> - 0.1.1-1.fc4.cw
- Initial RPM release.
